WPSParser Class Referenceabstract

`#include <WPSParser.h>`

Inheritance diagram for WPSParser:

## Public Types

typedef std::multimap < std::string, WPSEntry > | NameMultiMap
| a map to retrieve a file entry by name More...

## Public Member Functions

| WPSParser (WPXInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WPSParser ()
virtual void | parse (WPXDocumentInterface *documentInterface)=0

## Protected Member Functions

WPXInputStreamPtr & | getInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
NameMultiMap & | getNameEntryMap ()
NameMultiMap const & | getNameEntryMap () const
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Private Member Functions

| WPSParser (const WPSParser &)
WPSParser & | operator= (const WPSParser &)

## Private Attributes

WPXInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
NameMultiMap | m_nameMultiMap
| a map to retrieve a file entry by name More...
libwps::DebugFile | m_asciiFile
| the debug file More...

## Friends

class | WPSTextParser

## Member Typedef Documentation

typedef std::multimap<std::string, WPSEntry> WPSParser::NameMultiMap

a map to retrieve a file entry by name

## Constructor & Destructor Documentation

WPSParser::WPSParser | ( | WPXInputStreamPtr & | input,
|  | WPSHeaderPtr & | header
| ) |  |

WPSParser::~WPSParser | ( |  | ) |

virtual

WPSParser::WPSParser | ( | const WPSParser & |  | ) |

private

## Member Function Documentation

libwps::DebugFile& WPSParser::ascii | ( |  | ) |

inline protected

a DebugFile used to write what we recognize when we parse the document

Referenced by WPS8Parser::createStructures(), WPS4Parser::findZones(), WPS4Parser::parse(), WPS8Parser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS8Parser::readFRAM(), WPS4Parser::readPrnt(), WPS8Parser::readSYID(), and WPS8Parser::readWNPR().

WPSHeaderPtr& WPSParser::getHeader | ( |  | ) |

inline protected

Referenced by WPS8Parser::createOLEStructures(), and WPS4Parser::createOLEStructures().

WPXInputStreamPtr& WPSParser::getInput | ( |  | ) |

inline protected

Referenced by WPS8Parser::checkInFile(), WPS4Parser::checkInFile(), WPS4Parser::createDocument(), WPS8Parser::createListener(), WPS4Parser::createListener(), WPS4Parser::createNote(), WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), WPS8Parser::createStructures(), WPS4Parser::createTextBox(), WPS4Parser::findZones(), WPS4Parser::parse(), WPS8Parser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS8Parser::readFRAM(), WPS4Parser::readPrnt(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), WPS8Parser::send(), WPS4Parser::send(), WPS8Parser::sendPageFrames(), WPS8Parser::sendTextBox(), and WPS8Parser::sendTextInCell().

NameMultiMap& WPSParser::getNameEntryMap | ( |  | ) |

inline protected

Referenced by WPS8Parser::createStructures(), WPS4Parser::createStructures(), WPS4Parser::findZones(), WPSTextParser::getNameEntryMap(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Table::readStructures(), and WPS8Graph::readStructures().

NameMultiMap const& WPSParser::getNameEntryMap | ( |  | ) | const

inline protected

WPSParser& WPSParser::operator= | ( | const WPSParser & |  | ) |

private

virtual void WPSParser::parse | ( | WPXDocumentInterface * | documentInterface | ) |

pure virtual

Implemented in WPS8Parser, and WPS4Parser.

void WPSParser::setVersion | ( | int | vers | ) |

inline protected

Referenced by WPS4Parser::findZones(), and WPS8Parser::WPS8Parser().

int WPSParser::version | ( |  | ) | const

inline protected

Referenced by WPS4Parser::findZones(), WPSTextParser::version(), WPS4Graph::version(), WPS8Graph::version(), WPS8Table::version(), and WPS8Parser::WPS8Parser().

## Friends And Related Function Documentation

friend class WPSTextParser

friend

## Member Data Documentation

libwps::DebugFile WPSParser::m_asciiFile

private

the debug file

Referenced by ascii().

WPSHeaderPtr WPSParser::m_header

private

Referenced by getHeader().

WPXInputStreamPtr WPSParser::m_input

private

Referenced by getInput().

NameMultiMap WPSParser::m_nameMultiMap

private

a map to retrieve a file entry by name

Referenced by getNameEntryMap().

int WPSParser::m_version

private

Referenced by setVersion(), version(), and WPSParser().

The documentation for this class was generated from the following files:

- WPSParser.h
- WPSParser.cpp